org.apache.ignite.client.events

## Class RequestEvent

- java.lang.Object
- - org.apache.ignite.client.events.RequestEvent

Direct Known Subclasses:
  RequestFailEvent, RequestStartEvent, RequestSuccessEvent

    public abstract class RequestEvent
    extends Object

### Constructor Summary

Constructors
`protected` `RequestEvent(ConnectionDescription conn, long requestId, short opCode, String opName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ConnectionDescription` `connectionDescription()`
`short` `operationCode()`
`String` `operationName()`
`long` `requestId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestEvent

    protected RequestEvent(ConnectionDescription conn,
                           long requestId,
                           short opCode,
                           String opName)

Parameters:
  `conn` - Connection description.
  `requestId` - Request id.
  `opCode` - Operation code.
  `opName` - Operation name.

### Method Detail

#### connectionDescription

    public ConnectionDescription connectionDescription()

Returns:
  Connection description.

#### requestId

    public long requestId()

Returns:
  Request id.

#### operationCode

    public short operationCode()

Returns:
  Operation code.

#### operationName

    public String operationName()

Returns:
  Operation name.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023